=== debian/changelog ===
packup (0.6-3.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * Re-add Homepage field which was lost in previous upload
  * d/watch: version=5
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Secure URI in copyright format (routine-update)
  * Trim trailing whitespace.
  * d/copyright: Secure URI in Source field

 -- Andreas Tille <tille@debian.org>  Fri, 09 Jan 2026 17:42:58 +0100

packup (0.6-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:00:55 +0200

packup (0.6-3) unstable; urgency=medium

  * patch c++11: compliance with the C++11 standard. This fixes FTBFS with
    gcc-6. Thanks a lot to Mikoláš Janota for the patch (closes:  #811793).
  * debian/copyright: machine-readable format 1.0
  * Standards-Version 3.9.8 (no change)
  * Fixed spelling error in changelog entry of 0.6-2.
  * Debhelper compatibility level 10:
    - bump debian/compat
    - bump build-dependency on debhelper
  * Vcs-{Git,Browser}: use secure URI
  * Dropped debian/svn-deblayout
  * Fix trivial spelling mistake in Encoder.cc
  * Add simple as-installed package test

 -- Ralf Treinen <treinen@debian.org>  Tue, 20 Dec 2016 09:19:02 +0100

packup (0.6-2) unstable; urgency=low

  * Migrate to git:
    - update Vcs-* fields in debian/control
    - add debian/gbp.conf with pristine-tar=true
  * Standards-Version 3.9.4 (no change)
  * Debhelper compatibility level 9:
    - update debian/compat
    - bump version of build-dependency on debhelper
  * patch make-environment: proper usage of the build-environment by
    upstream's Makefile (fixes missing hardening flags).

 -- Ralf Treinen <treinen@debian.org>  Thu, 30 May 2013 20:31:52 +0200

packup (0.6-1) unstable; urgency=low

  * New upstream release.

 -- Ralf Treinen <treinen@debian.org>  Wed, 15 Jun 2011 22:12:11 +0200

packup (0.5-3) unstable; urgency=low

  * Remove wrapper since no longer needed
  * Use interpolation variables in solver specification file, add description

 -- Ralf Treinen <treinen@debian.org>  Fri, 10 Jun 2011 21:39:00 +0200

packup (0.5-2) unstable; urgency=low

  * Install specification file into /usr/share/cudf/solvers.

 -- Ralf Treinen <treinen@debian.org>  Mon, 06 Jun 2011 14:14:14 +0200

packup (0.5-1) unstable; urgency=low

  * Initial release (closes: #627973)

 -- Ralf Treinen <treinen@debian.org>  Fri, 27 May 2011 21:36:20 +0200
