=== debian/control ===
Source: packup
Standards-Version: 4.7.3
Maintainer: Ralf Treinen <treinen@debian.org>
Section: admin
Build-Depends:
 debhelper-compat (= 13),
 libgmp-dev,
 zlib1g-dev,
Vcs-Browser: https://salsa.debian.org/debian/packup
Vcs-Git: https://salsa.debian.org/debian/packup.git
Homepage: https://sat.inesc-id.pt/~mikolas/sw/packup/

Package: packup
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 minisat+,
Provides:
 cudf-solver,
Description: CUDF solver based on pseudo-Boolean constraints
 packup is a solver for the package upgradability problem specified in
 the CUDF format. It repeatedly invokes an optimization pseudo-Boolean
 solver in order to solve the problem. By default minisat+ is used for
 that purpose but a different solver can be used by specifying the
 pertaining command line option.
