=== debian/watch ===
Version: 5

Source: https://sat.inesc-id.pt/~mikolas/sw/packup/
Matching-Pattern: ./packup-([\d.]+)\.tgz
